## ListGateways **post** `/gitpod.v1.GatewayService/ListGateways` ListGateways ### Query Parameters - `token: optional string` - `pageSize: optional number` ### Body Parameters - `pagination: optional object { token, pageSize }` pagination contains the pagination options for listing gateways - `token: optional string` Token for the next set of results that was returned as next_token of a PaginationResponse - `pageSize: optional number` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. ### Returns - `gateways: array of Gateway` gateways contains the list of gateways - `name: string` name is the human-readable name of the gateway. name is unique across all gateways. - `url: string` url of the gateway - `region: optional string` region is the geographical region where the gateway is located - `pagination: optional object { nextToken }` pagination contains the pagination response - `nextToken: optional string` Token passed for retrieving the next set of results. Empty if there are no more results ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.GatewayService/ListGateways \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json { "gateways": [ { "name": "name", "url": "url", "region": "region" } ], "pagination": { "nextToken": "nextToken" } } ```